CVE-2014-1912

HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:python:python:2.5.1:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.5.2:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.5.3:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.5.4:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.5.6:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.5.150:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.6.1:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.6.2:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.6.3:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.6.4:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.6.5:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.6.6:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.6.7:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.6.8:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.6.2150:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.6.6150:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.7.1:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.7.1:rc1:*:*:*:*:*:*

cpe:2.3:a:python:python:2.7.2:rc1:*:*:*:*:*:*

cpe:2.3:a:python:python:2.7.3:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.7.4:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.7.5:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.7.6:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.7.1150:*:*:*:*:*:*:*

cpe:2.3:a:python:python:2.7.1150:*:*:*:*:*:x64:*

cpe:2.3:a:python:python:2.7.2150:*:*:*:*:*:*:*

Configuration 2

OR

cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:* versions up to 10.10.4 (inclusive)

Configuration 3

OR

cpe:2.3:a:python:python:3.0:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.0.1:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.1:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.1.1:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.1.2:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.1.3:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.1.4:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.1.5:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.1.2150:*:*:*:*:*:x64:*

cpe:2.3:a:python:python:3.2:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.2:alpha:*:*:*:*:*:*

cpe:2.3:a:python:python:3.2.0:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.2.1:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.2.2:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.2.3:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.2.4:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.2.5:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.2.2150:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.3:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.3:beta2:*:*:*:*:*:*

cpe:2.3:a:python:python:3.3.0:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.3.1:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.3.2:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.3.3:*:*:*:*:*:*:*

cpe:2.3:a:python:python:3.4:alpha1:*:*:*:*:*:*

Tenable Plugins

View all (26 total)

IDNameProductFamilySeverity
137796EulerOS Virtualization for ARM 64 3.0.6.0 : edk2 (EulerOS-SA-2020-1689)NessusHuawei Local Security Checks
high
136277EulerOS Virtualization for ARM 64 3.0.2.0 : edk2 (EulerOS-SA-2020-1574)NessusHuawei Local Security Checks
high
133259SUSE SLED15 / SLES15 Security Update : python (SUSE-SU-2020:0234-1) (BEAST) (httpoxy)NessusSuSE Local Security Checks
critical
101811MySQL Cluster 7.3.x < 7.3.6 CLSTCONF RCE (July 2017 CPU)NessusDatabases
high
8981Mac OS X < 10.10.5 Multiple VulnerabilitiesNessus Network MonitorOperating System Detection
high
85408Mac OS X 10.10.x < 10.10.5 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
high
85206Scientific Linux Security Update : python on SL6.x i386/x86_64 (20150722)NessusScientific Linux Local Security Checks
high
85099Oracle Linux 6 : python (ELSA-2015-1330)NessusOracle Linux Local Security Checks
high
85012CentOS 6 : python (CESA-2015:1330)NessusCentOS Local Security Checks
high
84938RHEL 6 : python (RHSA-2015:1330)NessusRed Hat Local Security Checks
high
82329Mandriva Linux Security Advisory : python3 (MDVSA-2015:076)NessusMandriva Local Security Checks
high
82328Mandriva Linux Security Advisory : python (MDVSA-2015:075)NessusMandriva Local Security Checks
high
82009GLSA-201503-10 : Python: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
75343openSUSE Security Update : python3 (openSUSE-SU-2014:0597-1)NessusSuSE Local Security Checks
high
75320openSUSE Security Update : python (openSUSE-SU-2014:0518-1)NessusSuSE Local Security Checks
high
75315openSUSE Security Update : python3 (openSUSE-SU-2014:0498-1)NessusSuSE Local Security Checks
high
75294openSUSE Security Update : python (openSUSE-SU-2014:0380-1)NessusSuSE Local Security Checks
high
73751SuSE 11.3 Security Update : Python (SAT Patch Number 9075)NessusSuSE Local Security Checks
high
73065Debian DSA-2880-1 : python2.7 - security updateNessusDebian Local Security Checks
high
72798Ubuntu 10.04 LTS / 12.04 LTS / 12.10 / 13.10 : python2.6, python2.7, python3.2, python3.3 vulnerability (USN-2125-1)NessusUbuntu Local Security Checks
high
72768FreeBSD : Python -- buffer overflow in socket.recvfrom_into() (8e5e6d42-a0fa-11e3-b09a-080027f2d077)NessusFreeBSD Local Security Checks
high
72749Amazon Linux AMI : python27 (ALAS-2014-293)NessusAmazon Linux Local Security Checks
high
72748Amazon Linux AMI : python26 (ALAS-2014-292)NessusAmazon Linux Local Security Checks
high
72594Mandriva Linux Security Advisory : python (MDVSA-2014:041)NessusMandriva Local Security Checks
high
72524Fedora 20 : python3-3.3.2-9.fc20 (2014-2418)NessusFedora Local Security Checks
high
72523Fedora 20 : python-2.7.5-10.fc20 (2014-2394)NessusFedora Local Security Checks
high